Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class AntClassGenerator

    java.lang.Object
      org.apache.cayenne.gen.MapClassGenerator
          org.apache.cayenne.gen.DefaultClassGenerator
              org.apache.cayenne.gen.AntClassGenerator

Deprecated. since 3.0 this class is no longer relevant.

    public class AntClassGenerator

extends DefaultClassGenerator

Ant-specific extension of DefaultClassGenerator that provides logging functions.

Author:
  Andrus Adamchik

Field Summary
`protected org.apache.tools.ant.Task` | `parentTask` Deprecated.

Fields inherited from class org.apache.cayenne.gen.DefaultClassGenerator
`destDir, encoding, makePairs, outputPattern, overwrite, superTemplate, template, timestamp, usePkgPath`

Fields inherited from class org.apache.cayenne.gen.MapClassGenerator
`client, CLIENT_SUBCLASS_TEMPLATE_1_2, CLIENT_SUPERCLASS_TEMPLATE_1_2, dataMap, DEFAULT_VERSION, mode, MODE_DATAMAP, MODE_ENTITY, objEntities, SINGLE_CLASS_TEMPLATE, SINGLE_CLASS_TEMPLATE_1_1, SINGLE_CLASS_TEMPLATE_1_2, SUBCLASS_TEMPLATE, SUBCLASS_TEMPLATE_1_1, SUBCLASS_TEMPLATE_1_2, SUPERCLASS_PREFIX, SUPERCLASS_TEMPLATE, SUPERCLASS_TEMPLATE_1_1, SUPERCLASS_TEMPLATE_1_2, superPkg, VERSION_1_1, VERSION_1_2, versionString, vppConfig`

Constructor Summary
`AntClassGenerator()` Deprecated.

Method Summary
`protected File` | `fileForClass(String pkgName, String className)` Deprecated. Returns a target file where a generated class must be saved.
`protected File` | `fileForSuperclass(String pkgName, String className)` Deprecated. Returns a target file where a generated superclass must be saved.
`org.apache.tools.ant.Task` | `getParentTask()` Deprecated.
`void` | `setParentTask(org.apache.tools.ant.Task parentTask)` Deprecated. Sets the Ant task that uses this generator.

Methods inherited from class org.apache.cayenne.gen.DefaultClassGenerator
`closeWriter, execute, getEncoding, getSupertemplateForPairs, getTemplateForPairs, getTemplateForSingles, getTimestamp, isOld, mkpath, openWriter, setDestDir, setEncoding, setMakePairs, setOutputPattern, setOverwrite, setSuperTemplate, setTemplate, setTimestamp, setUsePkgPath, validateAttributes`

Methods inherited from class org.apache.cayenne.gen.MapClassGenerator
`defaultSingleClassTemplate, defaultSubclassTemplate, defaultSuperclassTemplate, generateClassPairs, generateClassPairs, generateSingleClasses, generateSingleClasses, getDataMap, getObjEntities, getSuperPkg, getVersionString, getVppConfig, initClassGenerator_1_1, isClient, setClient, setDataMap, setMode, setObjEntities, setSuperPkg, setVersionString, setVppConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parentTask

    protected org.apache.tools.ant.Task parentTask

  Deprecated.

Constructor Detail

### AntClassGenerator

    public AntClassGenerator()

  Deprecated.

Method Detail

### fileForSuperclass

    protected File fileForSuperclass(String pkgName,
                                     String className)
                              throws Exception

  Deprecated.
  Description copied from class: `DefaultClassGenerator`
  Returns a target file where a generated superclass must be saved. If null is returned, class shouldn't be generated.

  Overrides:
    `fileForSuperclass` in class `DefaultClassGenerator`
  Throws:
    `Exception`

### fileForClass

    protected File fileForClass(String pkgName,
                                String className)
                         throws Exception

  Deprecated.
  Description copied from class: `DefaultClassGenerator`
  Returns a target file where a generated class must be saved. If null is returned, class shouldn't be generated.

  Overrides:
    `fileForClass` in class `DefaultClassGenerator`
  Throws:
    `Exception`

### getParentTask

    public org.apache.tools.ant.Task getParentTask()

  Deprecated.

### setParentTask

    public void setParentTask(org.apache.tools.ant.Task parentTask)

  Deprecated.
  Sets the Ant task that uses this generator.

  Parameters:
    `parentTask` - An Ant task that provides Ant context to this generator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.